package com.bee42.mongo;


import java.util.Date;

import com.mongodb.*;
import com.mongodb.client.MongoCollection;
import com.mongodb.client.MongoCursor;
import com.mongodb.client.MongoDatabase;
import org.bson.Document;

import static com.mongodb.client.model.Filters.eq;

/**
 * Java + MongoDB Hello world Example
 * 
 */
public class App {
	public static void main(String[] args) {

		try {


			MongoClientURI connectionString = new MongoClientURI("mongodb://localhost:27017");
			MongoClient mongo = new MongoClient(connectionString);

			MongoDatabase db = mongo.getDatabase("testdb");


			MongoCollection table = db.getCollection("user");

			Document document = new Document();
			document.put("name", "bee");
			document.put("age", "20102");
			document.put("createdDate", new Date());
			table.insertOne(document);

			MongoCursor cursor = table.find().filter(eq("name","bee")).iterator();

			while (cursor.hasNext()) {
				System.out.println(cursor.next());
			}

			Document query = new Document();
			query.put("name", "bee");

			Document newDocument = new Document();
			newDocument.put("name", "bee-updated");

			Document updateObj = new Document();
			updateObj.put("$set", newDocument);

			table.updateOne(query, updateObj);

			MongoCursor cursor2 = table.find().filter(eq("name","bee-updated")).iterator();

			while (cursor2.hasNext()) {
				System.out.println(cursor2.next());
			}

			/**** Done ****/
			System.out.println("Done");

		} catch (MongoException e) {
			e.printStackTrace();
		}

	}
}
